logo Features Support

Frequently Asked Questions

What are the minimum requirements?
Why is Windows XP not supported?
As per Microsoft, Windows XP will not run modern apps that require .NET Framework 4.5 or later versions, like E-Channelizer.
What about Linux and Mac?
E-Channelizer is developed using .NET Framework which is not natively supported unfortunately, however you can simply use Windows as hosted Virtual Machine on Linux/Mac. Hopefully we could add native Linux/Mac versions in the future, there is no time frame though!
What is the portable edition?
The portable edition is simply one that doesn’t use an installer but still works exactly the same. All the files required to run the app reside in a single folder, which you can put anywhere on the system. It's perfect to run it from a USB drive or you don't have Administrator privileges to run the standard setup.
How often E-Channelizer is updated?
E-Channelizer is actively maintained. A new release is published every few weeks, equipped always with new features and bug fixes.
Why AntiVirus may block E-Channelizer?
If your AntiVirus reports E-Channelizer as suspicious, it is absolutely a false positive alert. This happens occasionally and mostly if an App is unknown to the AntiVirus. E-Channelizer is developed using Microsoft framework and trusted libraries, moreover our build machine is always clean and well protected.

To get rid of that alert, add E-Channelizer to the White list or Excluded files of AntiVirus. If you really doubt that it is safe, do one of the following:
  • Check the latest results of VirusTotal website or even scan it yourself online.
  • Report it to your AntiVirus vendor to analyze and feedback.